Bug 144305 - Ruby base text becomes invisible when ruby alignment changed
Summary: Ruby base text becomes invisible when ruby alignment changed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.3.0 target:7.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Ruby
  Show dependency treegraph
 
Reported: 2021-09-05 05:50 UTC by Seán Ó Séaghdha
Modified: 2021-10-06 06:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document showing the problem (14.91 KB, application/vnd.oasis.opendocument.text)
2021-09-05 07:46 UTC, Seán Ó Séaghdha
Details
Example of rendering (22.83 KB, image/png)
2021-09-05 07:47 UTC, Seán Ó Séaghdha
Details
Example of rendering (11.14 KB, image/png)
2021-09-05 07:48 UTC, Seán Ó Séaghdha
Details
Example of correct rendering (left aligned) (7.43 KB, image/png)
2021-09-05 07:48 UTC, Seán Ó Séaghdha
Details
Correct rendering with 7.0.6 (40.20 KB, image/png)
2021-09-05 10:11 UTC, Ming Hua
Details
Minimal sample document (8.78 KB, application/vnd.oasis.opendocument.text)
2021-09-05 10:36 UTC, Ming Hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Seán Ó Séaghdha 2021-09-05 05:50:34 UTC
Context: document containing Irish dialect with ruby of standard spellings above.

When the ruby alignment is set to anything other than the default Left alignment, the base text becomes invisible. Looking at the XML, the text is still there, but not displayed.
Comment 1 Ming Hua 2021-09-05 06:53:03 UTC
Please provide a sample document (use "Add an attachment" link on the Bugzilla page) containing said Irish ruby text, thanks.
Comment 2 Mike Kaganski 2021-09-05 07:27:04 UTC
Ref (with a sample): https://ask.libreoffice.org/t/ruby-base-text-invisible/67711
Comment 3 Seán Ó Séaghdha 2021-09-05 07:46:31 UTC
Created attachment 174785 [details]
Example document showing the problem
Comment 4 Seán Ó Séaghdha 2021-09-05 07:47:54 UTC
Created attachment 174786 [details]
Example of rendering
Comment 5 Seán Ó Séaghdha 2021-09-05 07:48:25 UTC
Created attachment 174787 [details]
Example of rendering
Comment 6 Seán Ó Séaghdha 2021-09-05 07:48:51 UTC
Created attachment 174788 [details]
Example of correct rendering (left aligned)
Comment 7 Ming Hua 2021-09-05 10:04:33 UTC
Reproduced with 7.2.0 RC3 on Windows using sample file in comment #3:
Version: 7.2.0.3 (x64) / LibreOffice Community
Build ID: 2a7ea282da28d665a7dc086360567b4aea27bf08
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: en-US
Calc: threaded

But did not reproduce with 7.0.6:
Version: 7.0.6.2 (x64)
Build ID: 144abb84a525d8e30c9dbbefa69cbbf2d8d4ae3b
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: zh-CN (zh_CN); UI: en-US
Calc: threaded

Will investigate a bit more before tagging as regression.
Comment 8 Ming Hua 2021-09-05 10:11:36 UTC
Created attachment 174790 [details]
Correct rendering with 7.0.6

Turning Skia on with 7.0.6 also displays fine (except for the missing font, of course).  Screenshot attached.
Comment 9 Ming Hua 2021-09-05 10:23:08 UTC
No repro with 7.1.5 RC1 either:
Version: 7.1.5.1 (x64) / LibreOffice Community
Build ID: 2ca94649fd6dbdcab938c55c28b6a950a9634a34
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

Bibisection requested.

Seán: You may trying downgrading to 7.1.5 (or 7.1.6 RC1) as a workaround.
Comment 10 Ming Hua 2021-09-05 10:36:35 UTC
Created attachment 174791 [details]
Minimal sample document

Doesn't seem to be related to styles or other formatting either.  I've constructed a minimal sample document from scratch.
Comment 11 raal 2021-09-06 08:08:18 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks

4b1d48868b9260a9eebee8d671cf8661ea417508 is the first bad commit
commit 4b1d48868b9260a9eebee8d671cf8661ea417508
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu May 20 22:47:42 2021 +0200

    source sha:301278b656e76b6f42af5cf8a6f5c6c02acfffeb

https://git.libreoffice.org/core/+/301278b656e76b6f42af5cf8a6f5c6c02acfffeb
Comment 12 Miklos Vajna 2021-09-07 11:15:52 UTC
I'll take a look.
Comment 13 Commit Notification 2021-09-14 06:19:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0c3e47cc2f0570a7cd8ff4889763991a86b29f26

tdf#144305 sw: fix rendering of ruby portions with non-default ruby alignment

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Miklos Vajna 2021-09-14 07:02:45 UTC
No backport, bug was master-only.
Comment 15 Xisco Faulí 2021-09-14 08:10:08 UTC
(In reply to Miklos Vajna from comment #14)
> No backport, bug was master-only.

Hi Miklos,
I think the patch is also in libreoffice-7-2 branch -> https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-2&id=301278b656e76b6f42af5cf8a6f5c6c02acfffeb
Comment 16 Commit Notification 2021-09-14 09:41:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/168065841250c190808261cf65afa00f9ecd52e7

tdf#144305 sw: fix rendering of ruby portions with non-default ruby alignment

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Miklos Vajna 2021-09-14 11:29:54 UTC
(In reply to Xisco Faulí from comment #15)
> I think the patch is also in libreoffice-7-2 branch ->
> https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-
> 2&id=301278b656e76b6f42af5cf8a6f5c6c02acfffeb

You're right, sorry. I forgot that this went into master before the libreoffice-7-2 branch-off. Thanks for the backport!
Comment 18 Ming Hua 2021-09-26 12:41:40 UTC
Confirmed with 7.3/master daily build and 7.2.2 RC1:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a9cc066a86c6bd3423c5802c5a4eded55a50c754
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

Version: 7.2.2.1 (x64) / LibreOffice Community
Build ID: 0e408af0b27894d652a87aa5f21fe17bf058124c
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

Thanks Miklos for the quick fix and Xisco for the backport!
Comment 19 Commit Notification 2021-10-05 12:43:16 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/e45f5ca3dd5e6064630272e39b3a2725b4b636eb

Revert "tdf#144305 sw: fix rendering of ruby portions with...

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-10-05 12:44:51 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/da110b1414ffe727abd94804022fb85472e267ee

tdf#144122, tdf#144305 Revert "sw: allow the height of a line...

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-10-05 23:22:12 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-2":

https://git.libreoffice.org/core/commit/816e01bf67067ebe32dbc730bef386fdc54b8a66

Revert "tdf#144305 sw: fix rendering of ruby portions with...

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2021-10-06 00:22:57 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-2":

https://git.libreoffice.org/core/commit/702b7578754344464f0b3c39abb7bf025387a29b

tdf#144122, tdf#144305 Revert "sw: allow the height of a line...

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.